opal/threads/mutex_windows.h File Reference.TH "opal/threads/mutex_windows.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/threads/mutex_windows.h \- Mutual exclusion functions: Windows implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'include/sys/atomic.h'\fP
.br

.SS "Data Structures"

.in +1c
.ti -1c
.RI "struct \fBopal_mutex_t\fP"
.br
.in -1c
.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBOPAL_MUTEX_WINDOWS_H\fP   1"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBopal_mutex_t\fP)"
.br
.ti -1c
.RI "static int \fBopal_mutex_trylock\fP (\fBopal_mutex_t\fP *m)"
.br
.ti -1c
.RI "static void \fBopal_mutex_lock\fP (\fBopal_mutex_t\fP *m)"
.br
.ti -1c
.RI "static void \fBopal_mutex_unlock\fP (\fBopal_mutex_t\fP *m)"
.br
.ti -1c
.RI "static int \fBopal_mutex_atomic_trylock\fP (\fBopal_mutex_t\fP *m)"
.br
.ti -1c
.RI "static void \fBopal_mutex_atomic_lock\fP (\fBopal_mutex_t\fP *m)"
.br
.ti -1c
.RI "static void \fBopal_mutex_atomic_unlock\fP (\fBopal_mutex_t\fP *m)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Mutual exclusion functions: Windows implementation. 

Functions for locking of critical sections.
.PP
On Windows, base everything on InterlockedExchange().
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
